<!-- Click "Preview" for a more readable version --

Please read and follow the instructions before submitting an issue:

- Read all our documentation, especially the [README](https://github.com/axios/axios/blob/master/README.md). It may contain information that helps you solve your issue.
- Ensure your issue isn't already [reported](https://github.com/axios/axios/issues?utf8=%E2%9C%93&q=is%3Aissue).
- Please, ensure your issue is not related to CORS or Mixed Content Issue (only relevant for browsers)
- If you aren't sure that the issue is caused by axios or you just need help, please use [Stack Overflow](https://stackoverflow.com/questions/tagged/axios) or [our chat](https://gitter.im/mzabriskie/axios).
- If you're reporting a bug, ensure it isn't already fixed in the latest Axios version.
- If you need a new feature there's a chance it's already implemented in a [library](https://github.com/axios/axios/blob/master/ECOSYSTEM.md) or you can implement it using [interceptors](https://github.com/axios/axios#interceptors).
- Don't remove any title of the issue template, or it will be treated as invalid by the bot.

**⚠️👆 Delete the instructions before submitting the issue 👆⚠️**

-->

#### Summary

Describe your issue here, including as much detail as necessary.

If you're reporting a bug, include the relevant code and stack traces to debug it (removing any private information).

If you're requesting a feature, include some context and examples of code using it.

#### Environment
 - **Axios Version [e.g. 1.7.0]**
 - **Target platform [e.g Node / Browser / React Native version where Axios is running]**
 - **Adapter [e.g. FETCH / XHR / HTTP]**
 - Additional Library/Framework Versions [e.g. React 16.7]
 - OS: [e.g. iOS 12.1.0, OSX 10.13.4] 
